import 'package:anchor_collect_flutter/pages/home/home_logic.dart';
import 'package:anchor_collect_flutter/pages/home/home_view.dart';
import 'package:anchor_collect_flutter/pages/message/message_logic.dart';
import 'package:anchor_collect_flutter/pages/mine/mine_logic.dart';
import 'package:anchor_collect_flutter/pages/sync/sync_logic.dart';
import 'package:get/get.dart';

import 'main_logic.dart';

class MainBinding extends Bindings {
  @override
  void dependencies() {
    Get.lazyPut(() => MainLogic());
    Get.lazyPut(() => HomeLogic());
    Get.lazyPut(() => MessageLogic());
    Get.lazyPut(() => SyncLogic());
    Get.lazyPut(() => MineLogic());
  }
}
